//

#ifndef MAIN_H
#define MAIN_H


#define RelayUnlock  PORTCbits.RC0
#define RelayLock  PORTCbits.RC1
#define ActivateMosfet  PORTCbits.RC2 // this can be PWM or just a simple digital
#define RequestedPositionReached  PORTCbits.RC3
#define ForceSensor  PORTA.AN0
#define Current  PORTA.AN1

unsigned char IsLocked; // EPS in locked position
unsigned char IsUnlocked; // EPS in unlocked position
unsigned char IsLocking; // EPS is on the way to lock
unsigned char IsUnlocking; // EPS is on the way to unlock
unsigned char IsUndefined;
unsigned char LockActionRequired;
unsigned char UnlockActionRequired;

unsigned int entered_once;

unsigned char temp;

//unsigned int dutycyle;
unsigned int ForceToUnlock;
unsigned int ForceToLock;
unsigned int Force;
unsigned int Force_i;
unsigned int MA_;

unsigned int ForceThreshold;

unsigned int delayval;

#endif